import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MLCPlatform extends _NSObject {
    static alloc(): _MLCPlatform;
    static new(): _MLCPlatform;
    init(): _MLCPlatform;
    /**
     * @method setRNGSeedTo @abstract sets the RNG seed. The seed should be of type long int.
     */
    static setRNGSeedTo$(seed: _NSNumber): void;
    /**
     * @method getRNGseed @abstract gets the RNG seed value. If the value is not set it would return nil
     */
    static getRNGseed(): _NSNumber | null;
}
